typedef struct Decoder Decoder;
typedef struct Decoderops Decoderops;

struct Decoder {
	Stream *s;
	Channel *frames;
	Channel *finished;
	Decoderops *ops;
	double timebase;
	uvlong decodetime;

	void *aux;
	char info[128];
};

struct Decoderops {
	int (*open)(Decoder *d);
	void (*close)(Decoder *d);
};

Decoder *Dopen(Stream *s);
void Dclose(Decoder *d);
