typedef struct Frame Frame;

struct Frame {
	uvlong dt;
	int w, h;
	struct {
		int left, top, right, bottom;
	}crop;

	u8int *yuv[3];
	int ystride;
	int uvstride;

	u8int data[1];
};

Frame *newframe(int w, int h, u8int *yuv[3], int ystride, int vstride);
